import { jsx as _jsx, Fragment as _Fragment } from "@emotion/react/jsx-runtime";
import { useState } from 'react';
import { useDispatch } from 'react-redux';
import { Button } from '@primer/react';
import { PlayIcon } from "@primer/octicons-react";
import { DLA_CELL_HEADER_CLASS } from './base/CellSidebarWidget';
import { notebookActions, selectActiveCell } from '../../NotebookState';
export const CellSidebarRun = (props) => {
    const [visible, setVisible] = useState(false);
    const dispatch = useDispatch();
    const activeCell = selectActiveCell();
    const layout = (activeCell === null || activeCell === void 0 ? void 0 : activeCell.layout);
    if (layout) {
        const cellWidget = layout.widgets[0];
        if (!visible && ((cellWidget === null || cellWidget === void 0 ? void 0 : cellWidget.node.id) === props.id)) {
            setVisible(true);
        }
        if (visible && ((cellWidget === null || cellWidget === void 0 ? void 0 : cellWidget.node.id) !== props.id)) {
            setVisible(false);
        }
    }
    if (!visible) {
        return _jsx("div", {}, void 0);
    }
    return (activeCell ?
        _jsx("div", Object.assign({ className: DLA_CELL_HEADER_CLASS, css: {
                '& p': {
                    marginBottom: '0 !important',
                }
            } }, { children: _jsx("span", Object.assign({ style: { display: "flex" } }, { children: _jsx(Button, Object.assign({ trailingIcon: PlayIcon, size: "small", variant: "invisible", onClick: (e) => {
                        e.preventDefault();
                        dispatch(notebookActions.run.started());
                    } }, { children: "Run" }), void 0) }), void 0) }), void 0)
        :
            _jsx(_Fragment, {}, void 0));
};
export default CellSidebarRun;
//# sourceMappingURL=CellSidebarRun.js.map