import { jsx as _jsx } from "@emotion/react/jsx-runtime";
import { createElement } from 'react';
import { createPortal } from 'react-dom';
import { newUuid } from '../../../../../jupyter/utils/Ids';
import { LuminoReactPortal } from '../../../../../jupyter/lumino/LuminoReactPortal';
import { notebookActions } from '../../../NotebookState';
export const DLA_CELL_HEADER_CLASS = 'dla-CellHeader-Container';
export class CellSidebarWidget extends LuminoReactPortal {
    constructor(CellSidebar, nbgrader, commands, store) {
        super();
        this.commands = commands;
        this.addClass('jp-CellHeader');
        this.id = newUuid();
        const props = {
            command: this.commands,
            id: this.id,
            nbgrader,
        };
        const sidebar = createElement(CellSidebar, props);
        const portal = createPortal(_jsx("div", Object.assign({ className: DLA_CELL_HEADER_CLASS }, { children: sidebar }), void 0), this.node);
        store.dispatch(notebookActions.portal([portal]));
    }
}
export default CellSidebarWidget;
//# sourceMappingURL=CellSidebarWidget.js.map