var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { Widget } from '@lumino/widgets';
import { ManagerBase } from '@jupyter-widgets/base-manager';
import * as base from '@jupyter-widgets/base';
import * as controls from '@jupyter-widgets/controls';
import '@jupyter-widgets/controls/css/widgets.css';
export class IpyWidgetManager extends ManagerBase {
    constructor(el) {
        super();
        this.el = el;
    }
    loadClass(className, moduleName, moduleVersion) {
        return __awaiter(this, void 0, void 0, function* () {
            return new Promise(function (resolve, reject) {
                if (moduleName === '@jupyter-widgets/controls') {
                    resolve(controls);
                }
                else if (moduleName === '@jupyter-widgets/base') {
                    resolve(base);
                }
                else {
                    var fallback = function (err) {
                        let failedId = err.requireModules && err.requireModules[0];
                        if (failedId) {
                            console.log(`Falling back to jsDelivr for ${moduleName}@${moduleVersion}`);
                            window.require([
                                `https://cdn.jsdelivr.net/npm/${moduleName}@${moduleVersion}/dist/index.js`,
                            ], resolve, reject);
                        }
                        else {
                            throw err;
                        }
                    };
                    window.require([`${moduleName}.js`], resolve, fallback);
                }
            }).then(function (module) {
                if (module[className]) {
                    return module[className];
                }
                else {
                    return Promise.reject(`Class ${className} not found in module ${moduleName}@${moduleVersion}`);
                }
            });
        });
    }
    display_view(view) {
        return __awaiter(this, void 0, void 0, function* () {
            var that = this;
            return Promise.resolve(view).then(function (view) {
                Widget.attach(view.luminoWidget, that.el);
                return view;
            });
        });
    }
    _get_comm_info() {
        return Promise.resolve({});
    }
    _create_comm() {
        return Promise.reject('no comms available');
    }
}
export default IpyWidgetManager;
//# sourceMappingURL=IpyWidgetsManager.js.map