import { jsx as _jsx } from "@emotion/react/jsx-runtime";
import { useRef, useEffect } from 'react';
import { Widget } from '@lumino/widgets';
export const LuminoAttached = (props) => {
    const ref = useRef(null);
    const { children } = props;
    useEffect(() => {
        Widget.attach(children, ref.current);
        return () => {
            try {
                Widget.detach(children);
            }
            catch (e) {
                console.warn('Exception while detaching Lumino widget.', e);
            }
        };
    }, []);
    return _jsx("div", { ref: ref }, void 0);
};
export default LuminoAttached;
//# sourceMappingURL=LuminoAttached.js.map