import { jsx as _jsx } from "@emotion/react/jsx-runtime";
import { useRef, useEffect } from 'react';
import { Widget } from '@lumino/widgets';
export const LuminoNotebook = (props) => {
    const { adapter } = props;
    const panel = adapter.panel;
    const ref = useRef(null);
    useEffect(() => {
        if (!panel) {
            return;
        }
        Widget.attach(panel, ref.current);
        return () => {
            if (panel.isAttached) {
                try {
                    Widget.detach(panel);
                }
                catch (e) {
                    console.warn('Exception while detaching Lumino widget.', e);
                }
            }
            adapter.dispose();
        };
    }, [adapter.uid]);
    return _jsx("div", { ref: ref }, void 0);
};
export default LuminoNotebook;
//# sourceMappingURL=LuminoNotebook.js.map