var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { SessionManager } from '@jupyterlab/services';
import { UUID } from '@lumino/coreutils';
export class Kernel {
    constructor(options) {
        this._kernelManager = options.kernelManager;
        this._kernelType = options.kernelType || 'python3';
        this._kernel = this.requestKernel();
    }
    requestKernel() {
        return __awaiter(this, void 0, void 0, function* () {
            const sessionManager = new SessionManager({
                kernelManager: this._kernelManager,
                standby: 'never',
            });
            yield sessionManager.ready;
            const kernelId = UUID.uuid4();
            const session = yield sessionManager.startNew({
                path: kernelId,
                name: kernelId,
                type: this._kernelType,
            });
            yield session.kernel.info;
            return session.kernel;
        });
    }
    getJupyterKernel() {
        return this._kernel;
    }
}
export default Kernel;
//# sourceMappingURL=Kernel.js.map